Skip to main content
`Ctrl`+`K`

# TSRKGetMultirate

Gets whether to use the interpolation-based multirate `TSRK` method

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKGetMultirate(TS ts, PetscBool *use_multirate)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- use_multirate - `PETSC_TRUE` if the multirate RK method is enabled, `PETSC_FALSE` otherwise

## See Also

TS: Scalable ODE and DAE Solvers, `TSRK`, `TSRKSetMultirate()`

## Level

intermediate

## Location

src/ts/impls/explicit/rk/rk.c

## Implementations

TSRKGetMultirate_RK() in src/ts/impls/explicit/rk/mrk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages